cURL
curl --request POST \
--url https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/employee-aliases/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"aliases": [
{
"type": "SSN",
"value": "123-45-6789"
},
{
"type": "SSN",
"value": "987-65-4321"
}
]
}
'import requests
url = "https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/employee-aliases/resolve"
payload = { "aliases": [
{
"type": "SSN",
"value": "123-45-6789"
},
{
"type": "SSN",
"value": "987-65-4321"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aliases: [{type: 'SSN', value: '123-45-6789'}, {type: 'SSN', value: '987-65-4321'}]
})
};
fetch('https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/employee-aliases/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"alias": {
"type": "SSN",
"value": "123-45-6789"
},
"records": [
{
"employeeProfileIds": [
"11111111-1111-1111-1111-111111111111",
"22222222-2222-2222-2222-222222222222"
],
"payrollConnectionId": "33333333-3333-3333-3333-333333333333",
"employeeId": "55555555-5555-5555-5555-555555555555"
}
]
},
{
"alias": {
"type": "SSN",
"value": "987-65-4321"
},
"records": [
{
"employeeProfileIds": [
"44444444-4444-4444-4444-444444444444"
],
"payrollConnectionId": "33333333-3333-3333-3333-333333333333",
"employeeId": "66666666-6666-6666-6666-666666666666"
}
]
}
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Employee Data
Resolve Employee Aliases
Accepts a list of employee aliases (e.g. SSNs) and returns their corresponding UUIDs.
POST
/
v1
/
employer-identifiers
/
{employer_identifier}
/
employee-aliases
/
resolve
cURL
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Path Parameters
UUID of the employer identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
List of employee aliases to resolve
List of employee aliases to resolve (max 100)
Maximum array length:
100Show child attributes
Show child attributes
Response
Employee aliases resolved successfully
Show child attributes
Show child attributes